Bug 61305 - rhn_register prints deranged information
Summary: rhn_register prints deranged information
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-16 21:03 UTC by Alan Cox
Modified: 2015-01-07 23:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-14 09:35:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (68.46 KB, image/jpeg)
2002-03-16 21:04 UTC, Alan Cox
no flags Details

Description Alan Cox 2002-03-16 21:03:49 UTC
I'll attach a screenshot but apparently I have a -2MHz processor ?

Comment 1 Alan Cox 2002-03-16 21:04:42 UTC
Created attachment 48728 [details]
Screenshot

Comment 2 Adrian Likins 2002-03-17 22:55:45 UTC
whats /proc/cpuinfo look like?

Sounds like it's not populating a "cpu mhz" at all

Comment 3 Adrian Likins 2002-03-17 23:25:00 UTC
yup, must be it. All 116 WinChip register show as -2. 

any other way to get the mhz of these chips? (or any chips
that dont set X86_FEATURE_TSC from what I can tell...)

Comment 4 Alan Cox 2002-03-18 01:02:03 UTC
It does indeed have no TSC support.

For non TSC capable chips you need to know the magic divider per chip (or
not display strange things like -3)

For the IDT winchip series its bogomips/2



Comment 5 Adrian Likins 2002-03-18 10:09:22 UTC
I'll kluge up the display to just show "undetectable" or something for the
approriate cases.

Are there docs any docs anywhere on what the proper per chip magic is? Already
have
to handle alpha/ia64/sparc/s390 differently, adding winchip/cyrix/k5/etc isnt
too much of
a stretch.

Comment 6 Alan Cox 2002-03-18 11:46:56 UTC
If the table I has is still correct, then for non TSC

Winchip: bogomips/2 nearest 25/33MHz
i486: bogomips * 2 nearest 25/33Mhz
AMD 5x86 without tsc, bogomips *2 nearest 25/33Mhz
Cyrix 486SLC  bogoips * 3 , nearest 25/33Mhz
Nexgen: bogomips * 4/3, nearest 25/33Mhz




Note You need to log in before you can comment on or make changes to this bug.